Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 933068 - dev-python/protobuf-python: Latest stable version (4.21.12) misses python 3.12 support
Summary: dev-python/protobuf-python: Latest stable version (4.21.12) misses python 3.1...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal with 1 vote (vote)
Assignee: No maintainer - Look at https://wiki.gentoo.org/wiki/Project:Proxy_Maintainers if you want to take care of it
URL:
Whiteboard:
Keywords:
Depends on: 923809 934062
Blocks: 932911
  Show dependency tree
 
Reported: 2024-05-28 12:45 UTC by Matthias Schwarzott
Modified: 2024-07-09 12:53 UTC (History)
7 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Matthias Schwarzott gentoo-dev 2024-05-28 12:45:12 UTC
The latest stable version of dev-python/protobuf-python (4.21.12) misses support for python 3.12.

protobuf-python-4.21.12.ebuild:PYTHON_COMPAT=( python3_{10..11} )
protobuf-python-4.21.9.ebuild:PYTHON_COMPAT=( python3_{10..12} )
protobuf-python-4.22.5.ebuild:PYTHON_COMPAT=( python3_{10..12} )
protobuf-python-4.23.3.ebuild:PYTHON_COMPAT=( python3_{10..12} )
protobuf-python-9999.ebuild:PYTHON_COMPAT=( python3_{10..12} )

This leads to nice blockers when trying to enable python3_12 as recommended in the last news item.
Comment 1 Matthias Schwarzott gentoo-dev 2024-05-29 07:10:06 UTC
See also the comment in the stable request bug:
https://bugs.gentoo.org/923809#c7
Comment 2 Anton Bolshakov 2024-06-09 04:53:37 UTC Comment hidden (offtopic)
Comment 3 Sam James archtester Gentoo Infrastructure gentoo-dev Security 2024-06-11 17:58:41 UTC
The version in the summary is misleading then.
Comment 4 Matthias Schwarzott gentoo-dev 2024-06-11 18:25:50 UTC
(In reply to Sam James from comment #3)
> The version in the summary is misleading then.

Isn't it exactly protobuf-python-4.21.12 that is buggy?
Comment 5 Sam James archtester Gentoo Infrastructure gentoo-dev Security 2024-06-11 18:28:45 UTC
(In reply to Matthias Schwarzott from comment #4)
> (In reply to Sam James from comment #3)
> > The version in the summary is misleading then.
> 
> Isn't it exactly protobuf-python-4.21.12 that is buggy?

It could be read as "this version should be stabled, because the current stable has no py3.12".
Comment 6 Anton Bolshakov 2024-06-12 01:38:24 UTC
what is really misleading is that all other versions including the previous one have 3.12 flag. So the only current stable ebuild is missing it.

Also, why takes so long to figure it out and fix the stable tree?

Back to constrictive communication: I forked it (3 months ago), added python 3.12 flag, and have not experienced any problem.
Comment 7 Osiris 2024-06-14 09:50:29 UTC
(In reply to Sam James from comment #5)
> It could be read as "this version should be stabled, because the current
> stable has no py3.12".

Well, I didn't read it that way, but that's a "solution" to dependency issues too of course.

Although it's still weird that every version of `dev-python/protobuf-python` has Py3.12 enabled, except 4.21.12.

Not sure if mistake or if 4.21.12 really is incompatible with Py3.12, but it's clumsy nonetheless. Today I couldn't figure out why `sci-libs/onnx` refused to have Py3.12 enabled. Portage didn't give me any clue unfortunately, until I saw `onnx` depended on `protobuf-python`...

One sync later, since 4.22.5 was stabilised yesterday, it all works again. But still I think 4.21.12 should be fixed, if there's anything to fix to begin with.
Comment 8 Sam James archtester Gentoo Infrastructure gentoo-dev Security 2024-06-14 09:54:37 UTC
Protobuf is so insanely fragile that I don't want to try figure out why someone left it out.
Comment 9 Larry the Git Cow gentoo-dev 2024-07-09 12:52:31 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ea43d63d1245912a9bf8e259b70f3e2cdf51d204

commit ea43d63d1245912a9bf8e259b70f3e2cdf51d204
Author:     Paul Zander <negril.nx+gentoo@gmail.com>
AuthorDate: 2024-07-07 20:01:48 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2024-07-09 12:51:25 +0000

    dev-python/protobuf-python: update 5.27.2, drop 9999
    
    protobuf-python can no longer be build from github archives.
    https://github.com/protocolbuffers/protobuf/blob/main/python/README.md#building-from-setuppy
    
    Closes: https://bugs.gentoo.org/920646
    Closes: https://bugs.gentoo.org/933068
    Closes: https://bugs.gentoo.org/927521
    Closes: https://github.com/gentoo/gentoo/pull/36885
    Signed-off-by: Paul Zander <negril.nx+gentoo@gmail.com>
    Signed-off-by: Sam James <sam@gentoo.org>

 .../protobuf-python/protobuf-python-5.27.2.ebuild  | 74 ++++----------------
 .../protobuf-python/protobuf-python-9999.ebuild    | 79 ----------------------
 2 files changed, 13 insertions(+), 140 deletions(-)